Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ResultSetIterator

    java.lang.Object
      com.beasys.commerce.util.ResultSetIterator

All Implemented Interfaces
  Iterator

Deprecated

    @Deprecated
    public class ResultSetIterator

extends Object
implements Iterator

Implements the java.util.Iterator interface for a JDBC ResultSet. A more interesting (and useful) interface would implement the java.util.ListIterator interface

Field Summary
`static int` | `BELONGING_TYPE` Deprecated
`static int` | `EJB_PK_TYPE` Deprecated

Constructor Summary
`ResultSetIterator(String resultClassName, int resultClassType, Vector fieldMap, PreparedStatement preparedStatement, ResultSet resultSet)` Deprecated

Method Summary
`boolean` | `hasNext()` Deprecated
`Object` | `next()` Deprecated Returns the next element in the interation.
`void` | `remove()` Deprecated This operation is unsupported

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BELONGING_TYPE

    public static final int BELONGING_TYPE

  Deprecated
  See Also
    Constants Summary

### EJB_PK_TYPE

    public static final int EJB_PK_TYPE

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### ResultSetIterator

    public ResultSetIterator(String resultClassName,
                             int resultClassType,
                             Vector fieldMap,
                             PreparedStatement preparedStatement,
                             ResultSet resultSet)

  Deprecated

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated
  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Deprecated
  Returns the next element in the interation.

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Deprecated
  This operation is unsupported

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.